UpdateColumnFamily (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.migration
Class UpdateColumnFamily

    java.lang.Object
      org.apache.cassandra.db.migration.Migration
          org.apache.cassandra.db.migration.UpdateColumnFamily

    public class UpdateColumnFamily

extends Migration

todo: doesn't work with secondary indices yet. See CASSANDRA-1415.

Field Summary

Fields inherited from class org.apache.cassandra.db.migration.Migration
`LAST_MIGRATION_KEY, lastVersion, logger, MIGRATIONS_CF, MIGRATIONS_KEY, NAME_VALIDATOR_REGEX, newVersion, rm, schema, SCHEMA_CF`

Constructor Summary
`protected` | `UpdateColumnFamily()`
`` | `UpdateColumnFamily(org.apache.cassandra.db.migration.avro.CfDef cf_def)` assumes validation has already happened.

Method Summary
`void` | `subdeflate(org.apache.cassandra.db.migration.avro.Migration mi)` Deflate this Migration into an Avro object.
`void` | `subinflate(org.apache.cassandra.db.migration.avro.Migration mi)` Inflate this Migration from an Avro object: called after the required no-arg constructor.
`java.lang.String` | `toString()`

Methods inherited from class org.apache.cassandra.db.migration.Migration
`announce, apply, deserialize, getLastMigrationId, getLocalMigrations, getVersion, isLegalName, passiveAnnounce, serialize, toUTF8Bytes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpdateColumnFamily

    protected UpdateColumnFamily()

### UpdateColumnFamily

    public UpdateColumnFamily(org.apache.cassandra.db.migration.avro.CfDef cf_def)
                       throws ConfigurationException,
                              java.io.IOException

  assumes validation has already happened. That is, replacing oldCfm with newCfm is neither illegal or totally whackass.

  Throws:
    `ConfigurationException`
    `java.io.IOException`

Method Detail

### subdeflate

    public void subdeflate(org.apache.cassandra.db.migration.avro.Migration mi)

  Description copied from class: `Migration`
  Deflate this Migration into an Avro object.

  Specified by:
    `subdeflate` in class `Migration`

### subinflate

    public void subinflate(org.apache.cassandra.db.migration.avro.Migration mi)

  Description copied from class: `Migration`
  Inflate this Migration from an Avro object: called after the required no-arg constructor.

  Specified by:
    `subinflate` in class `Migration`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation